%define module_name Text-Hspell
# BEGIN SourceDeps(oneline):
BuildRequires: libhspell-devel perl(DynaLoader.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Path/Tiny.pm) perl(Test/More.pm) perl(Test/Run/CmdLine/Iface.pm) perl(strict.pm) perl(utf8.pm) perl(vars.pm) perl(warnings.pm) zlib-devel
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators
BuildRequires: hspell-data libhspell-devel hspell

Name: perl-%module_name
Version: 0.4.1
Release: alt2
Summary: wrapper for the hspell (= Hebrew speller) library
Group: Development/Perl
License: mit
URL: http://metacpan.org/release/Text-Hspell

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHLOMIF/%{module_name}-%{version}.tar.gz

%description
This module allows one to use libhspell ( http://hspell.ivrix.org.il/ ) to
spell check Hebrew words.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.4.1-alt2
- rebuild with perl 5.38

* Tue Nov 23 2021 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.2.2-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt2
- rebuild with perl 5.30

* Thu Feb 13 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1
- updated by package builder

* Sat Jan 18 2020 Igor Vlasenko <viy@altlinux.ru> 0.2.1-alt1
- initial import by package builder

